module.exports = {
  defaults: {
    //
    srcDir: 'content',
    layoutDir: 'components/content',
    dirs: ['/'],   // all files
    route: '/',    // top level route
    layout: 'default',
    permalink: ':slug',
    isPost: true,
    data: {}
  },
  loaders: (config) => {
    return {
      test: /\.md$/,
      use: [
        {
          loader: 'vue-loader',
          options: {
            scss: 'vue-style-loader!css-loader!sass-loader',
            sass: 'vue-style-loader!css-loader!sass-loader?indentedSyntax'
          }
        },
        {
          loader: '@nuxtjs/content/lib/loader.js',
          options: { config }
        }
      ]
    }
  }
}
